# Type Alias Scorer

A pluggable scorer in the mesh decision pipeline.

Scorers should return a value in `[0, 1]`. The engine clamps invalid or out-of-range values, so custom scorers cannot corrupt normalized mode.

type Scorer = {
defaultWeight: number;
fn: (m: MonadIndexEntry, meta: ClaimMeta, ctx: ScoringContext) => number;
name: string;
}

- Defined in kernel/scoring.ts:56

##### Index

### Properties

defaultWeight
fn
name

## Properties

### defaultWeight

defaultWeight: number

- Defined in kernel/scoring.ts:58

### fn

fn: (m: MonadIndexEntry, meta: ClaimMeta, ctx: ScoringContext) => number

- Defined in kernel/scoring.ts:59

### name

name: string

- Defined in kernel/scoring.ts:57